#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	IO
%define		pnam	Tee
%include	/usr/lib/rpm/macros.perl
Summary:	IO::Tee perl module
Summary(pl.UTF-8):	Moduł perla IO::Tee
Name:		perl-IO-Tee
Version:	0.64
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	97d91e38fcadc1f01d8030a8d4f30701
URL:		http://search.cpan.org/dist/IO-Tee/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Tee - Multiplex output to multiple output handles.

%description -l pl.UTF-8
Moduł perla IO::Tee - powielający wyjście na wiele uchwytów plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Tee.pm
%{_mandir}/man3/*
%changelog
* Wed Aug 19 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-IO-Tee.git;a=log;h=master

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> ee20879
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 535246a
- release 9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bb4be27
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 18768d1
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f3303e8
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 9974177
- rel. 8

* Thu May 06 2004 ankry <ankry@pld-linux.org> f49fae0
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 96fca02
- added tests

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> eaf4c11
- license fixes & unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a7d287f
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0d60f6d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e7b3ebf
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a79d5e2
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 7c49f5a
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 59bfc63
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 911fdb0
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 020e446
- massive attack: change CPAN URLs

* Tue Sep 10 2002 Jakub Bogusz <qboosh@pld-linux.org> fc0abc1
- finished pl description, new %%doc, release 6

* Wed Jul 10 2002 depesz <depesz@depesz.pl> e02a6e3
- applied changes using automat supplied by Radoslaw Zielinski

* Sat May 11 2002 kloczek <kloczek@pld-linux.org> 89d28ae
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

